Search documentation of stripe_elixir

# StripeElixir.Services.Treasury.ReceivedCreditService (stripe_elixir v0.1.0)

Copy Markdown View Source

TreasuryReceivedCreditsResourceReceivedCredit

ReceivedCredits represent funds sent to a FinancialAccount (for example, via ACH or wire). These money movements are not initiated from the FinancialAccount.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all ReceivedCredits

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a ReceivedCredit

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all ReceivedCredits

Returns a list of ReceivedCredits.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a ReceivedCredit

Retrieves the details of an existing ReceivedCredit by passing the unique ReceivedCredit ID from the ReceivedCredit list.